import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.ArrayList;
import java.util.List;
//TODO Need to import some interface to use object serialization

/**
 * Lab 3 CS 2334, Section 010 February 21, 2017
 * <P>
 * This class models a list of books.
 * </P>
 * 
 * @author Dean Hougen and (your name)
 * @version 1.0
 */

// TODO Need to implement some interface to use object serialization
public class BookList {

	// TODO Need to create serialVersionUID


	private List<Book> bookList = new ArrayList<Book>();

	public void add(Book book) {
		// Check whether book is already in list
		// If so, throw illegal argument exception
		if (bookList.contains(book)) {
			throw new IllegalArgumentException("Cannot add the same book twice");
		}
		// If not, add it
		else {
			bookList.add(book);
		}
	}

	public Book get(int index) {
		if (index >= 0 && index < bookList.size()) {
			return bookList.get(index);
		} else {
			throw new IllegalArgumentException("Index out of bounds");
		}
	}

	/**
	 * This method returns the attributes of this class as a single string with
	 * one resident per line.
	 * 
	 * @return String representing the contents of this object.
	 */
	public String toString() {
		String attributesAsString = "";
		for (Book book : bookList) {
			attributesAsString += book + "\n";
		}
		return (attributesAsString);
	}

	// TODO create method for writing a book list object to a file using object
	// serialization


	// TODO create a method for reading a book object from a file using object
	// serialization

}
